Skip to navigation

List Consignment Shipping Quotes

Get all shipping quotes persisted on an order for a shipping consignment. This is a read-only endpoint whose response depends on the shipping quote. You can only generate a shipping quote using the storefront at this time. Orders that are created in the control panel, or using the API, return a 204 status response since you can’t generate a shipping quote during that process.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired
ID of the order.
shipping_consignment_idintegerRequired
Shipping consignment ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

OK
idstringOptional
ID of the shipping quote.
uuidstringOptional
UUID of the shipping quote.
timestampstringOptional
Time the order was created in RFC 2822 format.
shipping_provider_idstringOptional
ID of the shipping provider.
shipping_provider_quotelist of objectsOptional

Shipping quotes vary based on the shipping provider. Manual shipping methods such as fixed will return an empty array. Real-time shipping providers will return an object with the shipping information exactly as received, including the original cost and currency. Since the shipping quote is tied to a shipping address, only one quote is returned in the response.

provider_codestringOptional
Code of the shipping provider.
carrier_codestringOptional
Code of the shipping carrier.
rate_codestringOptional
Type of delivery. This can vary based on shipping quote.
rate_idstringOptional
This can vary based on shipping quote.
method_idintegerOptional
Shipping method ID

Errors

404
Not Found Error